Subject: Re: XF86-Funktionstasten, wmctrl, DVCS (was: Statusbericht SSD und OS-Wechsel)
From: Boris Kraut <[email-masked]>
To: undisclosed-recipients: ;
Date: Fri, 03 Aug 2012 01:30:09 +0200

Nachdem ich noch etwas Zeit in die Openbox/wmctrl-Sache investiert
habe, bin ich jetzt bis auf Windowdecorations vom verwendeten WM
unabhaengig. Sofern es nicht irgendeinen generellen Weg gibt, um
sie zu deaktivieren, werde ich wohl "einfach" die entsprechenden
Pixel rausrechnen muessen -- funktioniert leider nur bescheiden,
weil die Decorations eigentlich fuer jedes Fenster einzeln gesetzt
werden koennen.

Ansonsten ist eigentlich nur noch Aufraeumen angesagt, wobei ich
gemerkt habe, dass wmctrl an einigen Stellen krankt, dass einige
Feature nicht implementiert sind oder man mit X-Bordmitteln tlw.
deutlich besser faehrt. Vielleicht sollte ich beim Aufraeumen
auch versuchen wmctrl so weit wie moeglich zu ersetzen.

Fuer die 'Menu' Taste bin ich mir noch nicht ganz sicher. Momentan
nutze ich dmenu, wobei ich ein extrem kruden Fallback auf xmessage
habe...